/*
    
## ## ## ## ##  ##              ## ## ## ## ##  ## ## ## ## ##  ## ## ## ## ##  ##          ##  ## ## ## ## ##  ## ## ## ## ##
##              ##              ##          ##  ##          ##  ##          ##  ## ##       ##  ##                    ##
##              ##              ##          ##  ##          ##  ##          ##  ##  ##      ##  ##                    ##
##    ## ## ##  ##              ##          ##  ## ## ## ##     ##          ##  ##    ##    ##  ## ## ## ## ##        ##
##          ##  ##              ##          ##  ##          ##  ##          ##  ##      ##  ##  ##                    ##
##          ##  ##              ##          ##  ##          ##  ##          ##  ##        ##    ##                    ##
## ## ## ## ##  ## ## ## ## ##  ## ## ## ## ##  ## ## ## ## ##  ## ## ## ## ##  ##          ##  ## ## ## ## ##        ##

/**** BURGER MENU ****/
@media all and (max-width: 1025px) {
    .bottommenu nav {
        visibility: hidden;
        position: absolute;
        padding: 2rem 0;
        top: 100%;
        right: 0;
        width: 100%;
        opacity: 1;
    }
    .bottommenu nav ul {
        flex-direction: column;
        align-items: center;
        width: 100%;
    }
    .dropdown.horizontal {
        flex-direction: column;
    }
    .dropdown ul li {
        text-align: center;
    }
    .menuitem {
        flex-direction: column;
    }
    #burgermenu {
        display: block;
    }
    .dropdown {
        position: relative;
        padding: 0 1rem;
        margin: 0;
        top: 0;
    }
    nav li {
        height: fit-content;
    }
    .topmenu .inner {
        justify-content: space-between;
        gap: 1rem;
    }
    .logo {
        margin: 0;
        width: 85%;
        height: auto;
        max-width: 300px;
    }
    #mediacontainer {
        margin: 0;
    }
    .dropdown {
        box-shadow: none;
    }
    
}
/**** LAPTOP ****/
@media all and (max-width: 1200px) {
    .content.flex {
        gap: 3em;
    }
    #all {
        grid-column: 1 / 3;
    }
    .box:nth-child(1) {
        grid-row: 1;
    }
    .box:nth-child(2) {
        grid-row: 1;
    }
    .box:nth-child(3) {
        grid-row: 2;
    }
    .box:nth-child(4) {
        grid-row: 2;
    }
    .grid {
        justify-content: normal;
    }
    header,
    main {
        padding: 0 40px;
    }
    #topfooter .grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

/**** TABLET *****/
@media all and (max-width: 1000px) {
    .info.flex {
        flex-direction: row;
        gap: .5rem;
    }
    .right img {
        display: none;
    }
    .select {
        flex-direction: row;
    }
    #popup .select {
        flex-direction: row;
    }
    .flex:not(.option) {
        flex-direction: column;
    }
    .teaser i {
        margin: auto;
    }
    .content {
        padding: calc(1rem + 5vw) initial;
    }
    #popup {
        left: calc(1rem + 3vw);
        width: calc(100% - calc(calc(1rem + 3vw) * 2));
        transform: translateY(-50%);
        max-width: none;
    }
    #popup .select {
        flex-direction: row;
    }
    .topbar a {
        font-size: 10px;
    }
    #mediacontainer {
        max-height: 500px;
        min-height: 500px;
    }
}

/**** SMARTPHONE ****/
@media all and (max-width: 768px) {
    .info.flex {
        flex-direction: column;
    }
    input {
        padding: .5rem 0rem;
        text-align: center;
    }
    textarea::placeholder {
        text-align: center;
    }
    nav,
    .menuitem a {
        transition: none;
    }
    #all {
        grid-column: 1 / 2;
    }
    .box:nth-child(1) {
        grid-row: 1;
    }
    .box:nth-child(2) {
        grid-row: 2;
    }
    .box:nth-child(3) {
        grid-row: 3;
    }
    .box:nth-child(4) {
        grid-row: 4;
    }
    .all a span {
        display: none;
    }
    #recaptcha {
        flex-direction: column;
        align-items: start;
        gap: 1rem
    }
    #popup {
        top: auto;
        bottom: 0;
        left: 0;
        margin: 0;
        padding: 2rem 1.5rem;
        width: 100%;
        transform: none;
        border-radius: 0;
    }
    .logo {
        max-width: 200px;
    }
    #topfooter .grid {
        grid-template-columns: repeat(1, 1fr);
    }
    #topfooter {
        padding: 1em 0 0 0;
    }
    #topfooter nav {
        justify-content: center;
    }
    #topfooter nav li {
        width: 100%;
    }
    #topfooter p,
    #topfooter a,
    #topfooter h3,
    #bottomfooter p {
        text-align: center;
    }
    #topfooter .box {
        display: flex;
        justify-content: center;
    }
    .footer-logo {
        max-width: 189px;
    }
}

/**** MOBILE ****/
@media all and (max-width: 500px) {
    .select.flex {
        flex-direction: column;
    }
    .flex {
        flex-direction: column;
    }
    .option {
        align-items: start;
    }
    #popup .select {
        flex-direction: column;
    }
    #popup button{
        width: 100%;
    }
    .logo {
        max-width: 150px;
    }
}